.sidebar {
   width: 200px;
   background-color: rgba(44, 44, 44, 1);
   left: 0;
   top: 0;
   height: 100%;
   padding: 100px 0;
   padding-top: 0;
   z-index: 2;
   position: fixed;
   transition: all 0.5s ease-in-out;
   border-right: 2px solid #fff;


   &.hide {
      left: -60%;
   }

   &-list {
      display: flex;
      flex-direction: column;
      color: #fff;
      height: 100vh;
      justify-content: space-around;
      align-items: center;
   }

   &-item {
      width: 100%;
      list-style-type: none;
      font-weight: 700;
      text-transform: uppercase;
      display: flex;
      justify-content: center;
      flex-direction: column;
      align-items: center;
      cursor: pointer;
      transition: all 0.5s ease-in-out;

      &::before,
      &:after {
         content: '';
         width: 0;
         display: block;
         height: 5px;
         background-color: #fff;
         transition: all 0.3s ease-in-out;
      }

      &::before {
         margin-bottom: 25px;

      }

      &::after {
         margin-top: 25px;
      }

      &:hover::after,
      &:hover::before {
         width: 100%;
      }

      &:hover {
         background-color: rgba(0, 0, 0, 0.534);
      }
   }
}